---
title: child
slug: Web/XPath/Axes/child
tags:
  - Axe
  - XPath
---
<p>The <code>child</code> axis indicates the children of the context node. If an XPath expression does not specify an axis, the <code>child</code> axis is understood by default. Since only the root node or element nodes have children, any other use will select nothing.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("XPath3.1","#axes","child")}}</td>
   <td>{{Spec2("XPath3.1")}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName("XPath3","#axes","child")}}</td>
   <td>{{Spec2("XPath3")}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName("XPath2","#axes","child")}}</td>
   <td>{{Spec2("XPath2")}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName("XPath1","#axes","child")}}</td>
   <td>{{Spec2("XPath1")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("xpath.axes.child")}}</p>

<p>{{QuickLinksWithSubpages("/en-US/docs/Web/XPath")}}</p>
